net.sf.saxon.om

## Class AbsolutePath.PathElement

- java.lang.Object
- - net.sf.saxon.om.AbsolutePath.PathElement

- Enclosing class:
    AbsolutePath

      public static class AbsolutePath.PathElement
      extends Object

  Inner class representing one step in the path

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbsolutePath.PathElement(int nodeKind, NodeName name, int index)` Create a path element

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getIndex()` Get the position of the node
    `NodeName` | `getName()` Get the name of the node
    `int` | `getNodeKind()` Get the node kind
    `void` | `toString(FastStringBuffer fsb, char option)` Get a string representation of the path

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbsolutePath.PathElement

          public AbsolutePath.PathElement(int nodeKind,
                                  NodeName name,
                                  int index)

      Create a path element
      Parameters:
        `nodeKind` - the kind of node
        `name` - the name of the node
        `index` - the position of the node relative to siblings of the same node kind and name

  - ### Method Detail

    - #### getNodeKind

          public int getNodeKind()

      Get the node kind
      Returns:
        the node kind, as a constant from `Type`

    - #### getName

          public NodeName getName()

      Get the name of the node
      Returns:
        the node name

    - #### getIndex

          public int getIndex()

      Get the position of the node
      Returns:
        relative to siblings of the same node kind and name

    - #### toString

          public void toString(FastStringBuffer fsb,
                      char option)

      Get a string representation of the path
      Parameters:
        `fsb` - buffer into which the string representation will be written
        `option` - for representing namespaces: 'p': use namepace prefix. 'u': use full URI. 's': use abbreviated URI

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.